#!/bin/sh
# Define which version of the sequencer to use \
  exec seqWish "$0"  ${1+"$@"}
#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ht.pan,v 1.1 2004/09/06 14:47:13 cguirao Exp $" 
#
# ht.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.2
#   date   : Thu Aug 31 18:27:25 METDST 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
#
global par gvar cv bcv actAreaHeight shArea panClassLib 
global geoCmdReply panClassLib panUsrProcs panUsrLib
global argv0 env panWidget panWidgetHlp panDbData cwp ckHeartBeat
global menu menuBar menuHelp ckMenuBar ckActBut ckShHelp ckCCS
# 
#  Get directory root of VLT, integration, current module. 
global VLTROOT INTROOT HOME

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT dummy}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT dummy}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    dummy}
# 
# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#
set panUsrLib   libhtLib  
set panClassLib {}

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .ht 
   set panUsrProcs {htInit htExit htUpdate htInitData}
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set EDITING 0
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

# User's Init Data : called just after panInit
# It contains data to be defined before widgets are created

proc htInitData {} {

 # Declare global variables

   global <var>

 # Statements to be executed when exiting
}



# User's Init Procedure : called in panMainStart
# It is executed after the widgets have been created

proc htInit {} {

 # Declare global variables

   global gvar cv

# User Initialization
$cv.htTransTableWdg.f1 configure -highlightthickness 1
$cv.htTransTableWdg.f1.scrollv configure -highlightthickness 1
$cv.htTransTableWdg.f2.scrollh configure -highlightthickness 1
#$cv.ht-Statwdg.uifCheckButton configure -highlightthickness 1 -highlightbackground grey90
#$cv.ht-Meteowdg.uifCheckButton configure -highlightthickness 1 -highlightbackground grey90
#$cv.ht-Seeingwdg.uifCheckButton configure -highlightthickness 1 -highlightbackground grey90
#$cv.ht-Skywdg.uifCheckButton configure -highlightthickness 1 -highlightbackground grey90
#$cv.ht-Moonwdg.uifCheckButton configure -highlightthickness 1 -highlightbackground grey90
$cv.ht-DeleteButtwdg.uifButton configure -highlightthickness 1
$cv.ht-TestButtwdg.uifButton configure -highlightthickness 1
$cv.htSelTableWdg.uifOptionButton configure -highlightthickness 1 -takefocus ""

$cv.dicBrowseKeywordWdg.uifEntry configure -highlightthickness 1
$cv.ht-HierarchButtwdg.uifOptionButton configure -highlightthickness 1 -takefocus ""

$cv.htNewKeyWdg.uifEntry configure -highlightthickness 1
$cv.dicBrowseTypeWdg.uifOptionButton configure -highlightthickness 1 -takefocus ""
$cv.htFormatWdg.uifEntry configure -highlightthickness 1 -highlightbackground grey90
$cv.htValueWdg.uifEntry configure -highlightthickness 1 -highlightbackground grey90
$cv.htCommentWdg.uifEntry configure -highlightthickness 1  -highlightbackground grey90
$cv.dicBrowseDescriptionWdg.f1 configure -highlightthickness 1
$cv.dicBrowseDescriptionWdg.f1.scrollv configure -highlightthickness 1
$cv.dicBrowseDescriptionWdg.f2.scrollh configure -highlightthickness 1
$cv.ht-ClearButtwdg.uifButton configure -highlightthickness 1
$cv.ht-ApplyButtwdg.uifButton configure -highlightthickness 1
$cv.ht-OkButtwdg.uifButton configure -highlightthickness 1
$cv.htSaveasButtWdg.uifButton configure -highlightthickness 1
$cv.ht-CancelButtwdg.uifButton configure -highlightthickness 1

#return
   htInitX
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckHeartBeat   0 ;# Enable Heart-beat
set ckShHelp      1 ;# Set Short Help
set ckActBut      0 ;# Set Action Button Area
set ckMenuBar     1 ;# Setup Menu Bar
set ckCCS         0 ;# Initialize CCS
set ckCmdReply    0 ;# Display Cmd. Reply
set cwp           "" ;# Set Current Working Point
set actAreaHeight 5; # Set height of action area 

panReadOption winter
set par(PANELX) 506 ;# Panel X position
set par(PANELY) 123 ;# Panel Y position
panCreateFrame ht ;# Create empty frame
panGetCvNames  ht cv bcv ;# Get Canvas Names
panInit        $argc $argv ht ;# Initialization



UifFancyListBox    $cv.dicBrowseDescriptionWdg -activebackground Black  \
                  -background Gray80 -borderwidth 2  \
                  -font -Adobe-helvetica-medium-r-normal--14*  \
                  -geometry 60x5 -height 10 -initialState normal  \
                  -relief sunken -scrollx 1 -scrolly 1 -selectmode single  \
                  -variable gvar(dicBrowseDescription) -wrap word 
UifEntry           $cv.dicBrowseKeywordWdg -canvasAnchor nw  \
                  -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                  -labelWidth 0 -maxVal 100 -minVal 0  \
                  -variable gvar(dicBrowseKeyword) -width 30 
UifOptionButton    $cv.dicBrowseTypeWdg -canvasAnchor nw  \
                  -command {checkFormat} -default string  \
                  -itemList {string double integer} -itemValue {C F I}  \
                  -length 5 -selectMode label  \
                  -variable gvar(dicBrowseType) 
UifButton          $cv.ht-ApplyButtwdg -canvasAnchor nw -command {htApply}  \
                  -initialState normal -label {Apply/Edit} -popup 0  \
                  -stateVar gvar(ht-wdg14Var) -width 12 
UifButton          $cv.ht-CancelButtwdg -canvasAnchor nw  \
                  -command {htCancel} -initialState normal -label {Cancel}  \
                  -popup 0 -stateVar gvar(ht-wdg23Var) -width 11 
UifButton          $cv.ht-ClearButtwdg -canvasAnchor nw  \
                  -command {htClearAllDicOutput} -initialState normal  \
                  -label {Clear} -popup 0 -stateVar gvar(ht-wdg12Var)  \
                  -width 12 
UifButton          $cv.ht-DeleteButtwdg -canvasAnchor nw  \
                  -command {htDeleteEntry} -initialState normal  \
                  -label {Delete Entry} -popup 0  \
                  -stateVar gvar(ht-wdg23Var) -width 15 
UifOptionButton    $cv.ht-HierarchButtwdg -canvasAnchor nw  \
                  -command {htUpdate} -default NONE  \
                  -itemList {NONE OBS DPR TEL ADA INS DET PRO TPL}  \
                  -length 7 -selectMode label -variable gvar(htHierarch) 
UifButton          $cv.ht-OkButtwdg -canvasAnchor nw -command {htQuit}  \
                  -initialState normal -label {OK} -popup 0  \
                  -stateVar gvar(ht-wdg22Var) -width 12 
UifButton          $cv.ht-TestButtwdg -canvasAnchor nw  \
                  -command {htTestTable} -initialState normal  \
                  -label {Test Table} -popup 0  \
                  -stateVar gvar(ht-wdg19Var) -width 15 
UifOutput          $cv.ht-wdg1 -anchor center -canvasAnchor nw  \
                  -color Black -font -Adobe-courier-medium-r-normal--14*  \
                  -frame 0  \
                  -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*  \
                  -labelWidth 0 -variable gvar(htHeaderTable) -width 42 
UifOutput          $cv.ht-wdg2 -anchor w -canvasAnchor nw -color Black  \
                  -font -Adobe-helvetica-medium-r-normal--14* -frame 0  \
                  -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*  \
                  -labelWidth 0 -variable gvar(selCleanTable) -width 20 
UifEntry           $cv.htCommentWdg -canvasAnchor nw  \
                  -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                  -labelWidth 0 -maxVal 100 -minVal 0  \
                  -variable gvar(htComment) -width 23 
UifEntry           $cv.htFormatWdg -canvasAnchor nw -label {Precision}  \
                  -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                  -labelWidth 0 -maxVal 100 -minVal 0  \
                  -variable gvar(dicBrowseFormat) -width 10 
UifEntry           $cv.htNewKeyWdg -canvasAnchor nw -label {New Keyword}  \
                  -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                  -labelWidth 0 -maxVal 100 -minVal 0  \
                  -variable gvar(htNewKey) -width 8 
UifButton          $cv.htSaveasButtWdg -canvasAnchor nw -command {htSave}  \
                  -initialState normal -label {Save As...} -popup 0  \
                  -stateVar gvar(ht-wdg24Var) -width 12 
UifOptionButton    $cv.htSelTableWdg -canvasAnchor nw -command {addMethod}  \
                  -default NONE -itemList NONE -itemValue NONE -length 10  \
                  -selectMode value -variable gvar(htOptTable) 
UifFancyListBox    $cv.htTransTableWdg -activebackground Black  \
                  -background Gray80 -borderwidth 2  \
                  -font -Adobe-courier-medium-r-normal--24*  \
                  -geometry 60x5 -height 12 -initialState normal  \
                  -relief sunken -scrollx 1 -scrolly 1  \
                  -selectmode extended -variable htTransTable -wrap none 
UifEntry           $cv.htValueWdg -canvasAnchor nw -label {ConstValue}  \
                  -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                  -labelWidth 0 -maxVal 100 -minVal 0  \
                  -variable gvar(htValue) -width 10 

#
#  Canvas Items
#

$cv create text 12 272 -tags "text ht-item1" -anchor nw \
          -text "Keyword to translate:" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 444 328 -tags "text ht-item2" -anchor nw \
          -text "Type :" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 3 12 -tags "text ht-item3" -anchor nw \
          -text "-----------------Translation Table:" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 420 416 -tags "text ht-item4" -anchor nw \
          -text "Comment:" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 3 252 -tags "text ht-item5" -anchor nw \
          -text "---------------------------Keyword Editing---------------------------" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 0 511 -tags "text ht-item6" -anchor nw \
          -text "-------------------------------------------------------------------" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 440 12 -tags "text ht-item7" -anchor nw \
          -text "------------------" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 408 144 -tags "text ht-item8" -anchor nw \
          -text "Predefined Translation tables:" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 264 272 -tags "text ht-item9" -anchor nw \
          -text "Categories:" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 


#
# Set Widget Configuration
#
set panWidget(dicBrowseDescriptionWdg)  {PubClass 12 320 1 0 libhtLib.tcl nw 0 {} 0}
set panWidget(dicBrowseKeywordWdg)  {UifEntry 12 292 1 0 {} 0 0 dicBrowseKeyword 0 A {} {} 0 0 0 0}
set panWidget(dicBrowseTypeWdg)  {UifOptionButton 488.0 324.0 1 0 string 0 0 dicBrowseType 0 {}}
set panWidget(ht-ApplyButtwdg)  {UifButton 236 480 1 0 0 0 0 ht-wdg14Var 0 {}}
set panWidget(ht-CancelButtwdg)  {UifButton 408 536 1 0 0 0 0 ht-wdg23Var 0 {}}
set panWidget(ht-ClearButtwdg)  {UifButton 60 480 1 0 0 0 0 ht-wdg12Var 0 {}}
set panWidget(ht-DeleteButtwdg)  {UifButton 436 96 1 0 0 0 0 {} 0 {}}
set panWidget(ht-HierarchButtwdg)  {UifOptionButton 264 288 1 0 NONE 0 0 htHierarch 0 {}}
set panWidget(ht-OkButtwdg)  {UifButton 60 536 1 0 0 0 0 ht-wdg22Var 0 {}}
set panWidget(ht-TestButtwdg)  {UifButton 436 56 1 0 0 0 0 {} 0 {}}
set panWidget(ht-wdg1)  {UifOutput 12.0 36.0 1 0 0 0 0 htHeaderTable 0 {} {}}
set panWidget(ht-wdg2)  {UifOutput 272 8 1 0 0 0 0 selCleanTable 0 {} {}}
set panWidget(htCommentWdg)  {UifEntry 400.0 444.0 1 0 {} 0 0 htComment 0 A {} {} 0 0 0 0}
set panWidget(htFormatWdg)  {UifEntry 412.0 352.0 1 0 {} 0 0 dicBrowseFormat 0 A {} {} 0 0 0 0}
set panWidget(htNewKeyWdg)  {UifEntry 396 288 1 0 {} 0 0 htNewKey 0 A {} {} 0 0 0 0}
set panWidget(htSaveasButtWdg)  {UifButton 236 536 1 0 0 0 0 ht-wdg24Var 0 {}}
set panWidget(htSelTableWdg)  {UifOptionButton 436.0 164.0 1 0 NONE 0 0 htOptTable 0 {}}
set panWidget(htTransTableWdg)  {PubClass 16.0 56.0 1 0 libhtLib.tcl nw 0 {} 0}
set panWidget(htValueWdg)  {UifEntry 396.0 380.0 1 0 {} 0 0 htValue 0 N 0 100 0 0 0 0}

#
# Set Database Configuration
#

#
# Set Short Help for each widget
#
set panWidgetHlp(dicBrowseDescriptionWdg)  {Keywords available and their description from the dictionary file.}
set panWidgetHlp(dicBrowseKeywordWdg)  {This is the keyword you want to modify. Press enter to accept it.}
set panWidgetHlp(dicBrowseTypeWdg)  {Type of the keyword.}
set panWidgetHlp(ht-ApplyButtwdg)  {Add the new keyword to the list box below.}
set panWidgetHlp(ht-CancelButtwdg)  {Quit without saving changes}
set panWidgetHlp(ht-ClearButtwdg)  {Clear all the entries.}
set panWidgetHlp(ht-DeleteButtwdg)  {Delete a keyword.}
set panWidgetHlp(ht-HierarchButtwdg)  {Select a Basic Keyword}
set panWidgetHlp(ht-OkButtwdg)  {Accept all the changes and exit}
set panWidgetHlp(ht-TestButtwdg)  {Test the translation table with a file.}
set panWidgetHlp(htCommentWdg)  {User comment or reused from header if blank.}
set panWidgetHlp(htFormatWdg)  {Precision of the keyword (must be a positive number)}
set panWidgetHlp(htNewKeyWdg)  {New keyword (only capital letters, numbers, - and _ allowed)}
set panWidgetHlp(htSaveasButtWdg)  {Save the defined table in a file}
set panWidgetHlp(htTransTableWdg)  {Click the left button to select a keyword.}
set panWidgetHlp(htValueWdg)  {Value given to the keyword. It can be a string, an integer or a floating.}

#
#-----------------------------------------------
#           Menu Bar Definition  
#-----------------------------------------------
# 
set menu(0) {File 1 file}
set menu(1) {Edit 0 edit {}}


# Add MenuButton <File > 

set mb [addMenuButton $menuBar file "File " 0 left]

# Menu  

addMenuCmd $mb "New" 0 {htNewTable}
addMenuCmd $mb "Load" 0 {htLoad}
addMenuCmd $mb "Save" 0 {htSave}
addMenuCmd $mb "Save As..." 1 {htSaveAs}
$mb add separator
addMenuCmd $mb "Quit" 0 {htQuit}

# Add MenuButton <Edit> 

set mb [addMenuButton $menuBar edit "Edit" 0 left]

# Menu  

addMenuCmd $mb "Undo Deletion" 0 {htUndoDeletion}

#
#-----------------------------------------------
#           Menu Help Definition  
#-----------------------------------------------
# 

set menuHelp(.ht.topMenu.menu.file.menu) { \
    {} {Create a new table.} {Load a predfined table.} {Save the table.}  \
    {Save the table choosing a name.} {Close the Header Translator}  \
} 

set menuHelp(.ht.topMenu.menu.edit.menu) { \
    {} {Restore list after deletion.} {}  \
} 


#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 602x647
wm title     $panRoot "Header Translator Revision 1.0"
set par(TITLE) "Header Translator Revision 1.0" 

panMainStart  ht $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################


proc htExit {} {

 # Declare global variables

 #  global gvar

 # Statements to be executed when exiting
}


proc htUpdate {key} {

 # Declare global variables

   global gvar

 # User Initialization
    set gvar(dicBrowseKeyword) $key
    htDicBrowseUpdateKeyword
}
