#!/bin/sh
# Define which version of the sequencer to use \
  exec seqWish "$0"  ${1+"$@"}
#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: olasControlDetails.pan,v 1.1 2004/09/06 14:47:14 cguirao Exp $" 
#
# olasControlDetails.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.10+
#   date   : Wed Oct 28 18:31:27 MET 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
#
global par gvar cv bcv actAreaHeight shArea panClassLib 
global geoCmdReply panClassLib panUsrProcs panUsrLib
global argv0 env panWidget panWidgetHlp panDbData cwp ckHeartBeat
global menu menuBar menuHelp ckMenuBar ckActBut ckShHelp ckCCS
# 
#  Get directory root of VLT, integration, current module. 
global VLTROOT INTROOT HOME

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT dummy}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT dummy}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    dummy}
# 
# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#
set panUsrLib   {}  
set panClassLib {}

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .olasControlDetails 
   set panUsrProcs {olasControlDetailsInit olasControlDetailsExit olasControlDetailsInitData}
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set EDITING 0
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

# User's Init Data : called just after panInit
# It contains data to be defined before widgets are created

proc olasControlDetailsInitData {} {

 # Declare global variables

   global <var>
#wm iconify .
}



# User's Init Procedure : called in panMainStart
# It is executed after the widgets have been created

proc olasControlDetailsInit {} {

 # Declare global variables

   global <var>

 # User Initialization
#wm deiconify .
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckHeartBeat   0 ;# Enable Heart-beat
set ckShHelp      0 ;# Set Short Help
set ckActBut      0 ;# Set Action Button Area
set ckMenuBar     0 ;# Setup Menu Bar
set ckCCS         0 ;# Initialize CCS
set ckCmdReply    0 ;# Display Cmd. Reply
set cwp           "" ;# Set Current Working Point
set actAreaHeight 5; # Set height of action area 

panReadOption winter
set par(PANELX) 840 ;# Panel X position
set par(PANELY) 280 ;# Panel Y position
panCreateFrame olasControlDetails ;# Create empty frame
panGetCvNames  olasControlDetails cv bcv ;# Get Canvas Names
panInit        $argc $argv olasControlDetails ;# Initialization



UifButton          $cv.olasControlDetails-wdg1 -canvasAnchor nw \
                   -command {panClosePanel no .olasControlDetails} \
                   -initialState normal -label Close -popup 0 \
                   -stateVar gvar(olasControlDetails-wdg2Var) -width 20
UifText            $cv.olasControlDetailsWdg -canvasAnchor nw \
                   -font -Adobe-courier-medium-r-normal--12* -height 28 \
                   -width 30 -wrap none

#
#  Canvas Items
#


#
# Set Widget Configuration
#
set panWidget(olasControlDetails-wdg1)  {UifButton 40 396 1 0 0 0 0 {} 0 {}}
set panWidget(olasControlDetailsWdg)  {UifText 8.0 0.0 1 0 0 0 0 {} 0}

#
# Set Database Configuration
#

#
# Set Short Help for each widget
#

#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 244x445
wm title     $panRoot "Olas Details"
set par(TITLE) "Olas Details" 

panMainStart  olasControlDetails $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################


proc olasControlDetailsExit {} {

 # Declare global variables

   global gvar
	set gvar(olasDetailsFlag) 0

 # Statements to be executed when exiting
}
