package org.eso.ohs.persistence.dbase.phase1;

import org.eso.ohs.core.dbb.client.DbbDataType;

public class ProposalOutVerifyStatus implements DbbDataType {

	/**
	 * Field GENERATING
	 */
	public static final int NO_PDF_INT = 0;

	/**
	 * Field GENERATING
	 */
	public static final int GENERATING_PDF_INT = 1;

	/**
	* Field GENERATED
	*/
	public static final int PDF_GENERATED_INT = 2;

	/**
	 * Field ERROR
	 */
	public static final int ERROR_PDF_INT = 3;

	/**
	 * Field GENERATING
	 */
	public static final String GENERATING_PDF = "generatingPdf";

	/**
	* Field Generated
	*/
	public static final String PDF_GENERATED = "pdfGenerated";


	/**
	* Field Error
	*/
	public static final String ERROR_PDF = "pdfError";

	/**
	* Field Error
	*/
	public static final String NO_PDF = "noPdf";

	public static final Integer[] summary_array_int =
		{ new Integer(NO_PDF_INT), new Integer(GENERATING_PDF_INT), new Integer(PDF_GENERATED_INT),new Integer(ERROR_PDF_INT)};

	public static final String[] summary_array_string =
		{NO_PDF, GENERATING_PDF, PDF_GENERATED,ERROR_PDF };

	static final long CONVERT = 10;
	private final static String DEFAULT_ = "           ";
	//static PrintfFormat fm = new PrintfFormat("%3.1f");

	public int getDataTypeLength() {
		return DEFAULT_.length();
	}

	public Class getDataType() {
		return String.class;
	}

	public Class getDatabaseType() {
		return Integer.class;
	}

	public String fromDatabaseData(Object value) {

		int val = ((Integer) (value)).intValue();

		String ret = " ";
		ret = convertIntStatusToString(val);
		return ret;
	}

	public static String convertIntStatusToString(int val) {
		String ret;
		switch (val) {
			case GENERATING_PDF_INT :
				ret = GENERATING_PDF;
				break;
			case PDF_GENERATED_INT :
				ret = PDF_GENERATED;
				break;
			case ERROR_PDF_INT :
				ret = ERROR_PDF;
				break;
			case NO_PDF_INT :
				ret = NO_PDF;
				break;
			default :
				ret = ERROR_PDF;
				break;
		}
		return ret;
	}

	public Object toDatabaseData(String value) {
		int val = -1;
		if (value.equals(GENERATING_PDF)) {
			val = GENERATING_PDF_INT;
		} else if (value.equals(PDF_GENERATED)) {
			val = PDF_GENERATED_INT;
		} else if (value.equals(ERROR_PDF)) {
			val = ERROR_PDF_INT;
		}else if (value.equals(NO_PDF)) {
			val = NO_PDF_INT;
		}

		return (new Integer(val));
	}

}
