#!/bin/sh
# Define which version of the sequencer to use \
  exec seqWish "$0"  ${1+"$@"}
#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: htHeaderViewer.pan,v 1.1 2004/09/06 14:47:13 cguirao Exp $" 
#
# htHeaderViewer.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.2
#   date   : Mon Aug 28 16:17:55 METDST 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
#
global par gvar cv bcv actAreaHeight shArea panClassLib 
global geoCmdReply panClassLib panUsrProcs panUsrLib
global argv0 env panWidget panWidgetHlp panDbData cwp ckHeartBeat
global menu menuBar menuHelp ckMenuBar ckActBut ckShHelp ckCCS
# 
#  Get directory root of VLT, integration, current module. 
global VLTROOT INTROOT HOME

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT dummy}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT dummy}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    dummy}
# 
# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#
set panUsrLib   {}  
set panClassLib {}

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .htHeaderViewer 
   set panUsrProcs {htHeaderViewerInit htHeaderViewerExit htHeaderViewerInitData}
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set EDITING 0
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

# User's Init Data : called just after panInit
# It contains data to be defined before widgets are created

proc htHeaderViewerInitData {} {

 # Declare global variables

   global <var>
#bind .fhtHeaderViewer <Enter> {}
 # Statements to be executed when exiting
}



# User's Init Procedure : called in panMainStart
# It is executed after the widgets have been created

proc htHeaderViewerInit {} {

 # Declare global variables

   global <var>

 # User Initialization
#return
#   fhtHeaderViewerInitX
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckHeartBeat   0 ;# Enable Heart-beat
set ckShHelp      0 ;# Set Short Help
set ckActBut      0 ;# Set Action Button Area
set ckMenuBar     0 ;# Setup Menu Bar
set ckCCS         0 ;# Initialize CCS
set ckCmdReply    0 ;# Display Cmd. Reply
set cwp           "" ;# Set Current Working Point
set actAreaHeight 5; # Set height of action area 

panReadOption winter
set par(PANELX) 238 ;# Panel X position
set par(PANELY) 121 ;# Panel Y position
panCreateFrame htHeaderViewer ;# Create empty frame
panGetCvNames  htHeaderViewer cv bcv ;# Get Canvas Names
panInit        $argc $argv htHeaderViewer ;# Initialization



UifButton          $cv.htHeaderViewer-wdg1 -canvasAnchor nw  \
                  -command {htHeaderViewerExit} -initialState normal  \
                  -label {Close Header Viewer} -popup 0  \
                  -stateVar gvar(htHeaderViewer-wdg4Var) -width 20 
UifListBox         $cv.htHeaderViewerWdg -canvasAnchor nw -default 0  \
                  -font -Adobe-courier-medium-r-normal--12*  \
                  -geometry 74x18 -scrollx 1 -scrolly 1  \
                  -selectmode single -variable gvar(htHeaderViewerVar) 

#
#  Canvas Items
#


#
# Set Widget Configuration
#
set panWidget(htHeaderViewer-wdg1)  {UifButton 203 319 1 0 0 0 0 {} 0 {}}
set panWidget(htHeaderViewerWdg)  {UifListBox 7 7 1 0 0 0 0 htHeaderViewerVar 0 {}}

#
# Set Database Configuration
#

#
# Set Short Help for each widget
#

#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 553x370
wm title     $panRoot "Header Viewer"
set par(TITLE) "Header Viewer" 

panMainStart  htHeaderViewer $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################


proc htHeaderViewerExit {} {

 # Declare global variables

   global gvar

panClosePanel no .htHeaderViewer
}
