#!/bin/sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# COPYRIGHT (c) 1996 European Southern Observatory
# LICENSE
#
# PROJECT:   VLT Data Flow System
# AUTHOR:    Carlos Guirao - ESO/DMD/DPG
#
# USAGE: To be executed by quality before updateCalibDB in order 
#        to check for bad filenames .
#
# $Revision: 1.1 $
#------------------------------------------------------------------------------

find /tcal -type f -follow ! \( \
		   -name "*.fits" -o \
		   -name "*.tfits" -o \
		   -name "*.prg" -o \
		   -name "*.rrd" -o \
		   -name "*.bdd" -o \
		   -name "*.akd" -o \
		   -name "*.dpr" -o \
		   -name "*.ehr" -o \
		   -name "*.pdd" -o \
		   -name "*.dat" -o \
		   -name "*.PAF" -o \
		   -name "*.GENERIC" -o \
		   -name "*.rri" \
		   \)

#
# Find also directories RCS and SCCS
#
find /tcal/. \( \
	-name "RCS" -o \
	-name "SCCS" \
	\)
