# 
# Insert the instrument VISIR to the CalibDB
#

#
# initialize table 'instrument'
#
DELETE FROM instrument WHERE ins_id LIKE 'VISIR%'\g
INSERT INTO instrument  VALUES ('VISIR','UT3','','')\g
INSERT INTO instrument VALUES ('VISIRIMG','UT3','IMG','lightpath1')\g
INSERT INTO instrument VALUES ('VISIRSPEC','UT3','SPEC','lightpath2')\g


#
# insert instrument component table
#
DELETE FROM component WHERE comp_id = 'VISIR%'\g
INSERT INTO component VALUES ('VISIR',NULL,NULL,'Visir','INS','ins/visir','1900-01-01T00:00:00','inf','C','INST')\g

#
# insert actual VISIR components
#
DELETE FROM real_component WHERE ins_id = 'VISIR%'\g
INSERT INTO real_component VALUES ('VISIR','VISIR','Visir','INS')\g

# =====================================================================
# Revision history:
# ----------------
#
# $Log: visir.sql,v $
# Revision 1.1  2004/09/27 14:28:05  cguirao
# *** empty log message ***
#
# Revision 1.1  2004/09/02 15:01:30  cguirao
# *** empty log message ***
#
# Revision 1.1  2004/08/25 14:11:50  cguirao
# First check-in
#
# Revision 1.3  2004/06/28 12:19:54  dataflow
# Adding two modes.
#
# Revision 1.1  2004/05/25 13:28:13  dataflow
# Adding visir.sql
#
# 25.05.2004  KH . First installation
# 28.06.2004  CG&MP Fix missing quatations and add two modes.
#
#eof
