package org.eso.ohs.persistence.dbase.phase2;

/**
 * class containing fields from database tables related to observing runs
 * affected by Instrument Package changes
 * <p>
 * $Id: AffectedObsRun.java,v 1.1 2005/03/30 09:56:12 tcanavan Exp $
 * @author Ron J Lobo
 */

// import org.apache.log4j.*;


public class AffectedObsRun {

    /** Standard log channel */
    // private static Logger stdlog_ = Logger.getLogger(AffectedObsRun.class);


    /** fields */
    public int id_;
    public String instrument_;
    public float ipVersion_;
    public int period_;
    public String emailOP_;
    public String obsRunName_;
    public String piInitial_;
    public String piName_;
    public String emailEU_;
    public String runState_;



    /** ctor */
    public AffectedObsRun() {}


    /** ctor */
    public AffectedObsRun(int id, String instrument, float ipVersion,
            int period, String emailOP, String obsRunName,
            String piInitial, String piName, String emailEU, String runState) {
        id_ = id;
        instrument_ = instrument;
        ipVersion_ = ipVersion;
        period_ = period;
        emailOP_ = emailOP;
        obsRunName_ = obsRunName;
        piInitial_ = piInitial;
        piName_ = piName;
        emailEU_ = emailEU;
        runState_ = runState;
    }
}

